Subject: bug#43532: [feature/native-comp] *.eln file name hashing, algorithm doesn't seem to play nice with NATIVE_FULL_AOT and self-contained, Emacs.app builds for macOS

From: Jim Myhrberg <[email-masked]>
Date: Sun, 4 Oct 2020 20:54:11 +0100

Thanks Andrea,

I just created a build from commit 44ef243, and it did not work out
quite as expected :)

Is there anything extra I should do/pass in to make it work? Cause
right now it seems to have taken the string "{lispdirrel}" literally
without any replacement, as there's a folder called exactly that
directly within the application bundle with most things I'd normally
expect to find in "Contents/Resources".

To illustrate with a screenshot to avoid any possible confusion:
https://share.jimeh.me/Screen-Shot-2020-10-04-20-47-12.95-goSgK6urIRqD.png

And this is what it's supposed to look like:
https://share.jimeh.me/Screen-Shot-2020-10-04-20-48-18.29-gd8o91tZcuLj.png

And for good measure, here's what I believe are the relevant things
from src/epaths.h:

#define PATH_LOADSEARCH
"/Users/jimeh/Projects/build-emacs-for-macos/sources/emacs-mirror-emacs-44ef243/nextstep/Emacs.app/{lispdirrel}/lisp"
#define PATH_REL_LOADSEARCH "Contents/Resources"
#define PATH_DUMPLOADSEARCH
"/Users/jimeh/Projects/build-emacs-for-macos/sources/emacs-mirror-emacs-44ef243/lisp"

On Sun, Oct 4, 2020 at 7:04 PM Andrea Corallo <[email-masked]> wrote:
>
> Hi Aloxaf,
>
> I believe the following should fix the issue:
>
> afb765ab3c * Make filename hashing compatible with self contained builds (bug#43532)
>
> No additional parameter is needed.
>
> Could you check and confirm works for you?
>
> Cc-ing Jim to kindly check does not break the same functionality on
> MacOS.
>
> Thanks!
>
>   Andrea
>